@echo off
rem ==========================================================
rem UNLu
rem Departamento de Ciencias Basicas
rem Division Estadistica y Sistemas
rem Licenciatura en Sistemas de Informacion
rem 11411 - Base de Datos
rem ==========================================================
rem
rem Descripcion:
rem Script para chequear proyecto de tp final (nombres,cantidad
rem ,modelo logico) Ejecuta los scripts sql: check.sql y 
rem checkddl.sql
rem
rem Debe existir un path a isql.exe
rem Parametros:
rem ==========================================================
rem %1 indica usuario administrador
rem %2 indica pwd     usuario administrador
rem %3 indica bd a utilizar ([server:] + path + filename)
rem %4 indica rol a utilizar
rem ==========================================================
rem
rem
rem Atte. Guillermo Cherencio
rem ==========================================================
if "%1"=="" goto usage
if "%2"=="" goto usage
if "%3"=="" goto usage
if "%4"=="" goto usage

echo INICIO TEST > ..\logs\check.txt
call :proyecto ..
rem esta RTRIM definida?
del ..\logs\checkfunex.txt > NUL
echo SET ECHO OFF; > ..\logs\checkfun.sql
echo SHOW FUNCTION RTRIM; >> ..\logs\checkfun.sql
isql -u %1 -p %2 -i ..\logs\checkfun.sql -o ..\logs\checkfunex.txt %3 -r %4
SET ESTA=NO
FOR /F "tokens=1,2 delims=\" %%a IN (..\logs\checkfunex.txt) DO SET ESTA=SI
echo %ESTA%
del ..\logs\checkfun.sql > nul
del ..\logs\checkfunex.txt > nul
rem creo rtrim,p_modelo_logico ejecuto p_modelo_logico,borro p_modelo_logico
del ..\logs\checkddl.txt > nul
isql -u %1 -p %2 -i checkddl.sql -o ..\logs\checkddl.txt %3 -r %4
rem si no estaba previamente definida RTRIM, la borro
if "%ESTA%"=="NO" call :borrofun %1 %2 %3 %4
rem busco nombres incorrectos, conteo de objetos Ok
isql -u %1 -p %2 -i check.sql -o ..\logs\check.txt %3 -r %4
rem agrego consulta  modelo logico
echo Inicio Modelo Logico >> ..\logs\check.txt
type ..\logs\checkddl.txt >> ..\logs\check.txt
del ..\logs\checkddl.txt > nul
echo Fin Modelo Logico >> ..\logs\check.txt
echo FIN TEST >> ..\logs\check.txt
echo. >> ..\logs\check.txt
echo Atte. Lic. Guillermo Cherencio >> ..\logs\check.txt
echo UNLu - Depto. Cs. Basicas - Div. Est.y Sistemas - 11411 Base de Datos >> ..\logs\check.txt
notepad ..\logs\check.txt
goto fin

:proyecto
FOR /F "tokens=1-26 delims=\" %%a IN ("%~f1") DO FOR /F "tokens=1,2,3" %%a IN ("%%z %%y %%x %%w %%v %%u %%t %%s %%r %%q %%p %%o %%n %%m %%l %%k %%j %%i %%h %%g %%f %%e %%d %%c %%b") DO echo Proyecto=%%a >> ..\logs\check.txt
goto :EOF

:borrofun
echo Borro funcion RTRIM
del ..\logs\checkdelfun.txt > nul
echo SET ECHO OFF; > ..\logs\checkdelfun.sql
echo DROP EXTERNAL FUNCTION RTRIM; >> ..\logs\checkdelfun.sql
echo SHOW FUNCTIONS; >> ..\logs\checkdelfun.sql
isql -u %1 -p %2 -i ..\logs\checkdelfun.sql -o ..\logs\checkdelfun.txt %3 -r %4
del ..\logs\checkdelfun.sql > nul
del ..\logs\checkdelfun.txt > nul
goto :EOF

:usage
if exist %~nx0.txt type %~nx0.txt
goto fin

:fin
