
/*  
    Inicio Creacion de indices
    Indices unique ya creados utilizando create table
    Solo se crearan aqui las claves secundarias
*/

SET ECHO OFF;

/*

T_EQUIPO(IDEQ,NOMBRE,...)
T_JUGADOR(IDJ,NOMBRE,IDEQ,...)
T_AUTORIDAD(IDAUT,NOMBRE,...)
T_ESTADIO(IDE,NOMBRE,DIR,...)
T_PARTIDO(IDE,F,ESTADO,HI,HF,CGEQL,CGEQV,...)
T_EQ(IDE,F,IDEQ,ROLEQ)
T_PJ(IDE,F,IDJ,PUESTO,CG)
T_PA(IDE,F,IDA,ROL)

*/

CREATE INDEX IDX_T_EQUIPO1       ON T_EQUIPO(NOMBRE);
CREATE INDEX IDX_T_JUGADOR1      ON T_JUGADOR(NOMBRE);
CREATE INDEX IDX_T_JUGADOR2      ON T_JUGADOR(IDJ);
CREATE INDEX IDX_T_JUGADOR3      ON T_JUGADOR(IDEQ);
CREATE INDEX IDX_T_AUTORIDAD1    ON T_AUTORIDAD(NOMBRE);
CREATE INDEX IDX_T_ESTADIO1      ON T_ESTADIO(NOMBRE);
CREATE INDEX IDX_T_PARTIDO1      ON T_PARTIDO(IDE,F);

SHOW INDEX;

SET ECHO ON;

/*  Fin Creacion de indices */
