@echo off
rem ==========================================================
rem UNLu
rem Departamento de Ciencias Basicas
rem Division Estadistica y Sistemas
rem Licenciatura en Sistemas de Informacion
rem 11411 - Base de Datos
rem ==========================================================
rem
rem Descripcion:
rem Script de creacion de b.d. 
rem Debe existir un path a isql.exe
rem Parametros:
rem ==========================================================
rem %1 indica usuario administrador
rem %2 indica pwd     usuario administrador
rem %3 indica bd a utilizar ([server:] + path + filename)
rem %4 indica rol a utilizar
rem ==========================================================
rem
rem
rem Atte. Guillermo Cherencio
rem ==========================================================
if "%1"=="" goto usage
if "%2"=="" goto usage
if "%3"=="" goto usage
if "%4"=="" goto usage
if exist ..\logs\database.txt del ..\logs\database.txt > nul
rem
rem Creo script para crear base de datos %3
rem 
Echo /*                                                            > ..\scripts\ddl\create\database.sql
Echo Script Generico para Creacion de Base de Datos               >> ..\scripts\ddl\create\database.sql
Echo Script creado por %~nx0%                                     >> ..\scripts\ddl\create\database.sql
Echo */                                                           >> ..\scripts\ddl\create\database.sql
Echo SET AUTODDL ON;                                              >> ..\scripts\ddl\create\database.sql
Echo SET ECHO ON;                                                 >> ..\scripts\ddl\create\database.sql
Echo CREATE DATABASE '%3';                                        >> ..\scripts\ddl\create\database.sql
Echo SHOW DATABASE;                                               >> ..\scripts\ddl\create\database.sql
Echo EXIT;                                                        >> ..\scripts\ddl\create\database.sql
isql -u %1 -p %2 -i ..\scripts\ddl\create\database.sql -o ..\logs\database.txt -m -r %4
notepad ..\logs\database.txt

goto fin

:usage
if exist %~nx0.txt type %~nx0.txt

:fin
