
/*  Inicio Creacion de exceptions */

SET ECHO OFF;
--                                0        1         2         3         4         5         6         7
--                                12345678901234567890123456789012345678901234567890123456789012345678901234567890
CREATE EXCEPTION EX_T_PARTIDO1   'No se puede cambiar el Estadio o Fecha de un Partido';
CREATE EXCEPTION EX_T_PARTIDO2   'No se pueden hacer cambios sobre un Partido terminado';
CREATE EXCEPTION EX_T_PARTIDO3   'Solo se pueden agregar/borrar equipos a Partido con estado 0';
CREATE EXCEPTION EX_T_PARTIDO4   'Solo se pueden agregar/borrar autoridades a Partido con estado 0,1';
CREATE EXCEPTION EX_T_PARTIDO5   'Solo se pueden agregar/borrar jugadores a Partido con estado 0,1,2';
CREATE EXCEPTION EX_T_PARTIDO6   'No pudo encontrarse el estado de este Partido';
CREATE EXCEPTION EX_T_EQ1        'Debe haber -al menos- 2 equipos en el Partido';
CREATE EXCEPTION EX_T_EQ2        'No se puede cambiar un equipo de un Partido';
CREATE EXCEPTION EX_T_PA1        'Debe haber -al menos- 3 arbitros en el Partido';
CREATE EXCEPTION EX_T_PA2        'No se puede cambiar una autoridad de un Partido';
CREATE EXCEPTION EX_T_PJ1        'Debe haber -al menos- 11 jugadores en el Partido';
CREATE EXCEPTION EX_T_PJ2        'El Jugador no pertecene a los Equipos del Partido';
CREATE EXCEPTION EX_T_PJ3        'No se puede cambiar un Jugador de un Partido';
CREATE EXCEPTION EX_T_PJ4        'Debe haber -al menos- 11 jugadores y maximo 14 jugadores';
CREATE EXCEPTION EX_ESTADO1      'El Estado actual del partido no permite pasar a este nuevo Estado';
CREATE EXCEPTION EX_ESTADO2      'El Partido esta finalizado, no se admiten cambios';

SHOW EXCEPTIONS;

SET ECHO ON;

/*  Fin Creacion de exceptions */
